Bug 1302118 - Please update czmq to version 3.0.2
Please update czmq to version 3.0.2
Product: Fedora EPEL
Classification: Fedora
Component: czmq (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
Depends On: 1301163
  Show dependency treegraph
Reported: 2016-01-26 15:05 EST by Ben Woodard
Modified: 2016-07-09 22:22 EDT (History)
7 users (show)

See Also:
Fixed In Version: czmq-3.0.2-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-09 22:22:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Woodard 2016-01-26 15:05:32 EST
Description of problem:
when Zeromq is updated to 4.1.4 please update czmq to the matching version.

Version-Release number of selected component (if applicable):
3.0.2 is the current stable version.
Comment 1 Ben Woodard 2016-01-26 15:10:29 EST
Version 3.0.2 is already available in f32.

The reasons driving the update to zeromq to 4.1.4 are as follows: 

 * Fixed #1399 - assertion failure in tcp.cpp after network reconnect.          
 * Fixed #1661 - does not handle IPv6 link local addresses.                      
 * Fixed #1445 - zmq::socket_base_t::connect fails on tcp ipv6 address          
 * Fixed STDINT event interface macros to work with CZMQ 3.0.                    
 * Fixed #1224 - crash when processing empty unsubscribe message.                
 * Fixed #1273 - V3 protocol handler vulnerable to downgrade attacks.            
 * Fixed #1347 - lack way to get peer address.                                  
 * Fixed #1362 - SUB socket sometimes fails to resubscribe properly.            
 * Fixed #1389 - PUB, PUSH sockets had slow memory leak.                        
 * Improved client reconnection strategy on errors                              
 * GSSAPI security mechanism                                                    
 * Message metadata -- zmq_msg_gets ()

This brings the C language bindings in line with that release.
Comment 2 Ben Woodard 2016-01-26 15:12:00 EST
correction so that I don't sound like a time traveler s/f32/f23/ my ring finger must have gotten ahead of my middle finger there. ;-)
Comment 3 Denis Arnaud 2016-06-11 23:01:04 EDT
Build for EPEL7: http://koji.fedoraproject.org/koji/taskinfo?taskID=14460158
Comment 4 Fedora Update System 2016-06-11 23:04:01 EDT
czmq-3.0.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-611247d1a6
Comment 5 Fedora Update System 2016-06-12 19:19:02 EDT
czmq-3.0.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-611247d1a6
Comment 6 Fedora Update System 2016-07-09 22:22:16 EDT
czmq-3.0.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.